Bug 811045 - sosreport is not collecting all of /etc
sosreport is not collecting all of /etc
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: sos (Show other bugs)
6.2
All Linux
low Severity low
: rc
: ---
Assigned To: Bryn M. Reeves
BaseOS QE - Apps
:
Depends On: 809727
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-09 20:26 EDT by Kevin Clevenger
Modified: 2012-04-20 06:41 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 809727
Environment:
Last Closed: 2012-04-20 06:41:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kevin Clevenger 2012-04-09 20:26:26 EDT
Description of problem:
sosreport is not collecting all of /etc

Version-Release number of selected component (if applicable):
sos-2.2-8.el6.noarch 

How reproducible:
Always

Steps to Reproduce:
1. collect sosreport
2. Extract the archive, and see /etc directory.
  
Actual results:
Some /etc files are missing

Expected results:
All of /etc collected (it's small in terms of MBs)

Additional info:
Missing files like idmapd.conf, profile, etc

Business impact: None
Importance: Middle
I hope this request is accepted soon, a complete sosreport would be helpful and avoid going back to the client with information requests
Comment 2 Bryn M. Reeves 2012-04-12 06:17:10 EDT
sos-2.2-8.el6 is pretty old now (6.1). Newer releases expand the set of files collected from /etc.

We cannot collect all of /etc for security and privacy reasons: there are numerous files that may exist in this directory tree that must not be collected (private keys, certificates, CA definitions, files containing plaintext passwords, shadow, ...).

Please request individual files or groups of files for consideration - these are normally straightforward RFEs that can be included in the next available update.

Note You need to log in before you can comment on or make changes to this bug.